<!--JSON-->
<script type="text/javascript">
    var atrac_infantil = 
    {
        "atracciones" :
        [
            {"atraccion":"La Noria","horarioApertura":"08:00-08:45","horarioCierre":"13:00","capacidad":"25"},
            {"atraccion":"Rio Nilo","horarioApertura":"09:00-09:45","horarioCierre":"14:00","capacidad":"25"},
            {"atraccion":"Vuelo del Fénix","horarioApertura":"11:00-11:45","horarioCierre":"16:00","capacidad":"25"},
            {"atraccion":"MiniMagnus","horarioApertura":"12:00-12:45","horarioCierre":"13:00","capacidad":"25"}
        ]
    }
    var atrac_familiar = 
    {
    "atracciones" : 
        [  
            {"atraccion":"Rapidos","horarioApertura":"08:00-08:45","horarioCierre":"13:15","capacidad":"8"},
            {"atraccion":"TNT","horarioApertura":"13:00-13:45","horarioCierre":"16:45", "capacidad":"20"},
            {"atraccion":"Cartero","horarioApertura":"18:00-18:45","horarioCierre":"15:45", "capacidad":"6"}
        ]
    }
    var atrac_limite =
    {
    "atracciones" :
        [
            {"atraccion":"Gato Hhan","horarioApertura":"08:00-08:45","horarioCierre":"17:45","capacidad":"35"},

            {"atraccion":"Tirachinas","horarioApertura":"12:00-12:45","horarioCierre":"17:35", "capacidad":"26"},

            {"atraccion":"Vacio-plash","horarioApertura":"19:00-19:45","horarioCierre":"15:45", "capacidad":"16"}
        ]
    }
</script>
<!--HTML-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
 "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="es" lang="es">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<!--FUNCION VALIDACION DE DATOS-->
<script type="text/javascript">
    function validar(d) {
        var fecha = new Date();
        var activacion = false;
        var mensaje = "Hay campos vacios: \n";
        if (d.nombre.value == "") {
            mensaje += "Campo 1\n";
            activacion = true;
        }
        if (d.poblacion.value == "") {
            mensaje += "Campo 2\n";
            activacion = true;
        }
        if (d.email.value == "") {
            mensaje += "Campo 3\n";
            activacion = true;
        }
        if (d.numAcompañantes.value == "") {
            mensaje += "Campo 4\n";
            activacion = true;
        }
        /*if (d.date1.value == "" || d.date2.value == "" || d.date3.value == "" || d.date4.value == "" || d.date5.value == "" ||
            d.date6.value == "" || d.date7.value == "" || d.date8.value == "" || d.date9.value == "" || d.date10.value == "") {
            mensaje += "Campo fecha\n";
            activacion = true;
        }
        if (d.Noria.true){
            mensaje += "prueba\n";
        }*/
        if (activacion) { alert(mensaje) };
        if (!activacion) {alert("Reserva realizada con exito!")}
        return activacion;
    }
</script>
<head>
<link rel="stylesheet" type="text/css" href="css/css_reserva.css"> <!--Ref a la hoja de estilo -->
</head>
<h1 align="center">RESERVAS</h1>
<div id="textoComodin" align="center">*Haz click encima de cualquier tabla para ver la información de la atraccion!</div>
<!--TABLAS-->
<div  id="table1">                   
<script type="text/javascript">
    for (i in atrac_infantil.atracciones)
    {
        document.write("<a href='atrac_infantil.html'>")
        document.write("<table border = '1' width = 300>");
        document.write("<tr><td><b>Nombre</b></td><td>"+ atrac_infantil.atracciones[i].atraccion+"</td></tr>");
        document.write("<tr><td><b>HorarioApertura</b></td><td>" + atrac_infantil.atracciones[i].horarioApertura +"</td></tr>");
        document.write("<tr><td><b>HorarioCierre</b></td><td>" + atrac_infantil.atracciones[i].horarioCierre+ "</td></tr>" );
        document.write("<tr><td><b>Capacidad</b></td><td>" +  atrac_infantil.atracciones[i].capacidad+  "</td></tr>");
        document.write("</table>")
        document.write("</a>")
    }
</script>
</div>

<div  id="table2"> 
<script>
    for (i in atrac_familiar.atracciones)
    {
         document.write("<a href='atrac_familiar.html'>")
         document.write("<table border = '1' width = 300 >");
         document.write("<tr><td><b>Nombre</b></td><td>"+ atrac_familiar.atracciones[i].atraccion+"</td></tr>")
         document.write("<tr><td><b>HorarioApertura</b></td><td>" + atrac_familiar.atracciones[i].horarioApertura +"</td></tr>")
         document.write("<tr><td><b>HorarioCierre</b></td><td>" + atrac_familiar.atracciones[i].horarioCierre+ "</td></tr>" )
         document.write("<tr><td><b>Capacidad</b></td><td>" +  atrac_familiar.atracciones[i].capacidad+  "</td></tr>")
         document.write("</table>")
         document.write("</a>")
    }
</script>
</div>

<div id="table3" align="center">
<script>
    for (i in atrac_limite.atracciones)
    {
        document.write("<a href='atrac_limite.html'>")
        document.write("<table border = '1' width = 300 >");
        document.write("<tr><td><b>Nombre</b></td><td>"+ atrac_limite.atracciones[i].atraccion+"</td></tr>")
        document.write("<tr><td><b>HorarioApertura</b></td><td>" + atrac_limite.atracciones[i].horarioApertura +"</td></tr>")
        document.write("<tr><td><b>HorarioCierre</b></td><td>" + atrac_limite.atracciones[i].horarioCierre+ "</td></tr>" )
        document.write("<tr><td><b>Capacidad</b></td><td>" +  atrac_limite.atracciones[i].capacidad+  "</td></tr>")
        document.write("</table>")
        document.write("</a>")
    }
</script>
</div>


<form id="datos" action="" method="get" onsubmit="return validar(this)">
<!--<script>
var fecha = new Date();
var fe=fecha.getFullYear() +"-"+ (fecha.getMonth() +1) +"-"+  fecha.getDate();
document.write(fe);
document.date1.value=fe;
</script>-->
<!--SELECCION ATRACCION-->
<!--Seleccion de hora y fecha de atracciones infatil-->
<fieldset>
        <legend>Atracciones Infantiles</legend>    
        <input type="radio" name="menu" value="Noria" checked="true"> Noria&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        <select name="horario">
                <option value="horario">8:00</option>
                <option value="horario">8:45</option>
            </select>&nbsp;&nbsp;
        <label for="date"></label>
        <input type="date" name="date" id="date1"/>
        <br><br>         
        <input type="radio" name="menu" value="Rio_nilo"> Rio Nilo&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        <select name="horario">
                <option value="horario">09:00</option>
                <option value="horario">09:45</option>
            </select>&nbsp;&nbsp;
            <label for="date"></label>
            <input type="date" name="date" id="date2" />
            <br><br>
        <input type="radio" name="menu" value="Vuelo_fenix"> Vuelo Fenix&nbsp;&nbsp;&nbsp;
         <select name="horario">
                <option value="horario">11:00</option>
                <option value="horario">11:45</option>
            </select>&nbsp;&nbsp;
            <label for="date"></label>
            <input type="date" name="date" id="date3" />
            <br><br>
        <input type="radio" name="menu" value="MiniMagnus"> MiniMagnus&nbsp;&nbsp;
         <select name="horario">
                <option value="horario">12:00</option>
                <option value="horario">12:45</option>
            </select>&nbsp;&nbsp;
            <label for="date"></label>
            <input type="date" name="date" id="date4" />
            <br><br>
    </fieldset>
<!--Seleccion de hora y fecha de atracciones limite-->
    <fieldset>
        <legend>Atracciones al Limite</legend>
        <input type="radio" name="menu1" value="Gato" checked="true"> Gato Khan&nbsp;&nbsp;&nbsp;
        <select name="horario">
                <option value="horario">8:00</option>
                <option value="horario">8:45</option>
            </select>&nbsp;&nbsp;
            <label for="date"></label>
            <input type="date" name="date" id="date5" />
            <br><br>         
        <input type="radio" name="menu1" value="Tirachinas"> Tirachinas&nbsp;&nbsp;&nbsp;
        <select name="horario">
                <option value="horario">16:00</option>
                <option value="horario">16:45</option>
            </select>&nbsp;&nbsp;
            <label for="date"></label>
            <input type="date" name="date" id="date6" />
            <br><br>                  
        <input type="radio" name="menu1" value="Vacio_plash"> Vacio-Plash&nbsp;
        <select name="horario">
                <option value="horario">18:00</option>
                <option value="horario">18:45</option>
            </select>&nbsp;&nbsp;
            <label for="date"></label>
            <input type="date" name="date" id="date7" />
            <br><br>            
    </fieldset>
<!--Seleccion de hora y fecha de atracciones familia-->
    <fieldset>
        <legend>Atracciones en Familia</legend>
        <input type="radio" name="menu2" value="Rapidos" checked="true"> Rapidos&nbsp;&nbsp;
        <select name="horario">
                <option value="horario">8:00</option>
                <option value="horario">8:45</option>
            </select>&nbsp;&nbsp;
            <label for="date"></label>
            <input type="date" name="date" id="date8" />
            <br><br>            
        <input type="radio" name="menu2" value="TNT"> TNT&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        <select name="horario">
                <option value="horario">12:00</option>
                <option value="horario">12:45</option>
            </select>&nbsp;&nbsp;
            <label for="date"></label>
            <input type="date" name="date" id="date9" />
            <br><br>            
        <input type="radio" name="menu2" value="Cartero"> Cartero&nbsp;&nbsp;&nbsp;
        <select name="horario">
                <option value="horario">19:00</option>
                <option value="horario">19:45</option>
            </select>&nbsp;&nbsp;
            <label for="date"></label>
            <input type="date" name="date" id="date10" />
            <br><br>            
    </fieldset>

<!--FORMULARIO-->
<fieldset>
    <legend>Introduce aquí tus datos</legend>
        Nombre:&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; <input type="text" id="nombre" size="15"/><br><br> 
        Poblacion:&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&nbsp;<input type="text" id="poblacion" size="15"/><br><br> 
        Correo Electrónico:&nbsp; &nbsp; &nbsp;<input type="email" id="email" size="15"/><br><br> 
        Acompañantes:&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; <input type="int" id="numAcompañantes" size="15"/>
        <br>
        <br>
</fieldset>
<div align="center">
<input id="button" type="submit" value="Enviar"/>
<a href="index.html"><input type="button" value="Volver" id="button"></a>
<input id="button" type="reset" value="Borrar"/>
</div>
</form>
</body>
</html>

